> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nexra.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Join Tournament

> Creates a gamer if not existing, adds them to the tournament, creates their bet option, and updates the prize pool.



## OpenAPI

````yaml POST /tournament/{tournamentId}/join
openapi: 3.0.0
info:
  title: Nexrahub Core API Documentation
  description: API documentation for Nexrahub Core services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.nexra.xyz/
    description: Local environment
security: []
tags: []
paths:
  /tournament/{tournamentId}/join:
    post:
      tags:
        - Tournaments
      summary: Enter a gamer into a tournament
      description: >-
        Creates a gamer if not existing, adds them to the tournament, creates
        their bet option, and updates the prize pool.
      operationId: TournamentController_joinTournament
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            example: abc123xyz456
          description: Game API key for authentication
        - name: tournamentId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTournamentEntryDto'
      responses:
        '201':
          description: Successfully joined the tournament.
          content:
            application/json:
              schema:
                example:
                  message: Gamer successfully joined the tournament.
                  entry:
                    id: 6718ac03e0ad9b01f43b76b3
                    tournament: 6718a8dde0ad9b01f43b76a2
                    gamer: 6718ab5ee0ad9b01f43b76a8
                    entryFee: 100
                    joinedAt: '2025-10-23T13:25:48.112Z'
                    eliminated: false
                    eliminatedAt: null
                    rank: null
                    createdAt: '2025-10-23T13:25:48.112Z'
                    updatedAt: '2025-10-23T13:25:48.112Z'
      security:
        - jwt-auth: []
components:
  schemas:
    CreateTournamentEntryDto:
      type: object
      properties:
        gamer:
          type: string
          description: Gamer ID
          example: silent gamer
      required:
        - gamer

````